import { RPCError } from 'packages/core/rpc/error';
import { MetaCrawlerInputItem } from '../../model/MetaCrawlerInputItem';


export interface State {
  error: RPCError | null;
  pending: boolean;
  inputs: MetaCrawlerInputItem[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  inputs: null,
};
